Subject: Re: linux-next: build warning after merge of the mm tree

From: Barry Song <[email-masked]>
Date: Mon, 15 Apr 2024 17:45:38 +1200

Thanks, I admit I know nothing about sphinx, after google the similar warning,
adding an extra line can fix this (I also noticed I should had named the file
as sysfs but not sys to align with other ABI docs):

>From ae3350752540696753940166e8e9f2da4b872760 Mon Sep 17 00:00:00 2001
From: Barry Song <[email-masked]>
Date: Mon, 15 Apr 2024 17:37:04 +1200
Subject: [PATCH] sysfs-kernel-mm-transparent-hugepage: fix the name and
 unexpected indentation

Signed-off-by: Barry Song <[email-masked]>
---
 ...transparent-hugepage => sysfs-kernel-mm-transparent-hugepage} | 1 +
 1 file changed, 1 insertion(+)
 rename Documentation/ABI/testing/{sys-kernel-mm-transparent-hugepage => sysfs-kernel-mm-transparent-hugepage} (99%)

diff --git a/Documentation/ABI/testing/sys-kernel-mm-transparent-hugepage b/Documentation/ABI/testing/sysfs-kernel-mm-transparent-hugepage
similarity index 99%
rename from Documentation/ABI/testing/sys-kernel-mm-transparent-hugepage
rename to Documentation/ABI/testing/sysfs-kernel-mm-transparent-hugepage
index 33163eba5342..7bfbb9cc2c11 100644
--- a/Documentation/ABI/testing/sys-kernel-mm-transparent-hugepage
+++ b/Documentation/ABI/testing/sysfs-kernel-mm-transparent-hugepage
@@ -4,6 +4,7 @@ Contact:	Linux memory management mailing list <[email-masked]>
 Description:
 		/sys/kernel/mm/transparent_hugepage/ contains a number of files and
 		subdirectories,
+
 			- defrag
 			- enabled
 			- hpage_pmd_size
-- 
2.34.1

> 
> Introduced by commit
> 
>   a70dabb40c3d ("mm: add docs for per-order mTHP counters and transhuge_page ABI")
> 
> from the mm-unstable branch of the mm tree.
> 
> -- 
> Cheers,
> Stephen Rothwell

Thanks
Barry